/// <reference types="react" />
import { StatefulPlugin, StateType } from '@edtr-io/core';
export declare const rowsState: StateType.StateDescriptor<{
    plugin: string;
    state?: unknown;
}[], {
    id: string;
    value: string;
}[], {
    (): {
        (): string;
        id: string;
        render: () => import("react").ReactNode;
    }[];
    items: {
        (): string;
        id: string;
        render: () => import("react").ReactNode;
    }[];
    insert: (index?: number | undefined, options?: {
        plugin: string;
        state?: unknown;
    } | undefined) => void;
    remove: (index: number) => void;
    move: (from: number, to: number) => void;
}>;
export declare const rowsPlugin: StatefulPlugin<typeof rowsState>;
//# sourceMappingURL=index.d.ts.map